## org.eclipse.datatools.modelbase.sql.query
Interface GroupingSets

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, GroupingSpecification, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface GroupingSets

extends GroupingSpecification

A representation of the model object 'SQL Grouping Sets'.

The following features are supported:

- `Grouping Sets Element List`

See Also:
  `SQLQueryModelPackage.getGroupingSets()`

Method Summary
`org.eclipse.emf.common.util.EList` `getGroupingSetsElementList()` Returns the value of the 'Grouping Sets Element List' containment reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.GroupingSpecification
`getQuerySelect, setQuerySelect`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroupingSetsElementList

    org.eclipse.emf.common.util.EList getGroupingSetsElementList()

  Returns the value of the 'Grouping Sets Element List' containment reference list. The list contents are of type `GroupingSetsElement`. It is bidirectional and its opposite is '`Grouping Sets`'.

  If the meaning of the 'Grouping Sets Element List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grouping Sets Element List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getGroupingSets_GroupingSetsElementList()`, `GroupingSetsElement.getGroupingSets()`